Core - Bug # 53077

Status: Resolved Priority: Should have
Author: Stefan Rotsch Category:

Created: 2013-10-23 Assigned To:

Updated: 2013-11-07 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Installation/uninstallation silently fails if PackageStates.php is not writable
Description

Given | would like to install/uninstall an extension
and PackageStates.php is not writable
the process silently fails (BE reloads the extension list, CLI exits without any message)

With TYPO3 4.x, there was an error message shown when trying to install/uninstall an extension and localconf.php was not writable. |
would find it useful to have this "feature" back in 6.2

I'l push a patch to Gerrit with a first attempt to solve this. As it requires a modification to the PackageManager, I'm not sure if that's the
way to go, so feedback is appreciated.

Related issues:
related to TYPOS.Flow - Bug # 53238: Throw exception if PackageStates.php is ... Resolved 2013-10-30
related to Core - Bug # 53410: PackageManager can't create necessary file Resolved 2013-11-07

Associated revisions

Revision 1ef58eab - 2013-11-07 00:12 - Stefan Rotsch

[BUGFIX] Show flash message if package states are not writable

When trying to install/uninstall an extension and PackageStates.php

is not writable, an error flash message is shown.

Resolves: #53077

Releases: 6.2

Change-Id: 171bba56361a4cc85fb253199acbfee5829defa29
Reviewed-on: https://review.typo3.org/24975

Reviewed-by: Steffen Miiller
Tested-by: Steffen Mller
Reviewed-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2013-10-23 15:26 - Gerrit Code Review
- Status changed from New to Under Review
https://review.typo3.org/24975

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/24975

#2 - 2013-10-30 19:23 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24975

#3 - 2013-11-01 19:22 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24975

#4 - 2013-11-07 00:30 - Stefan Rotsch
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:1ef58ea6c06eb57188d654f7de267ef1611f977a.
